.main-section {
  position: fixed;
  top: 20px;
  left: 0;
  width: 100%;
  z-index: 9;
}

.header-content {
  display: flex;
  align-items: center;
  justify-content: space-between;
  background: #3a087a;
}

.header-logo {
  font-family: var(--second-family);
  font-style: italic;
  font-weight: 400;
  font-size: 22px;
  line-height: 100%;
  letter-spacing: -0.02em;
  color: #e9deff;
  transition: text-shadow 0.3s ease;
}

.header-logo:hover {
  text-shadow: 5px 5px 10px #fff;
}

.page-nav {
  display: none;
}

.page-nav-list {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 32px;
}

.page-nav-link {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 4px;

  span {
    font-family: var(--font-family);
    font-weight: 500;
    font-size: 14px;
    line-height: 100%;
    text-transform: uppercase;
    color: #e9deff;
  }

  svg {
    stroke: #e9deff;
    transition: transform 0.3s ease;
  }
}

.page-nav-link:hover {
  svg {
    transform: rotate(90deg);
  }
}

.menu-btn {
  svg {
    fill: none;
    stroke: #fff;
    transition: stroke 0.3s ease;
  }
}

.menu-btn:hover {
  svg {
    stroke: #fb0;
  }
}

@media screen and (min-width: 1440px) {
  .page-nav {
    display: block;
  }

  .menu-btn {
    display: none;
  }
}

/* modal  */

.menu {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 8;
  background: #000;
  transform: translateY(-100%);
  transition: transform 1s ease;
}

.menu-nav-list {
  flex-direction: column;
}

/* popup */

.page-popup {
  position: fixed;
  z-index: 10;
  bottom: 20px;
  left: 50%;
  transform: translateX(-50%);

  border-radius: 20px;
  padding: 20px;
  background: linear-gradient(95deg, #8338ec 0%, #9c2ef5 100%);

  transition: transform 0.6s ease;
}

.popup-title {
  font-family: var(--font-family);
  font-weight: 400;
  font-size: 32px;
  letter-spacing: -0.01em;
  color: #fff;
  margin-bottom: 36px;
}

.popup-text {
  font-family: var(--font-family);
  font-weight: 400;
  font-size: 14px;
  line-height: 160%;
  color: #fff;
  margin-bottom: 16px;
}

.popup-btn {
  font-family: var(--font-family);
  font-weight: 400;
  font-size: 14px;
  line-height: 160%;
  color: #fff;
  text-align: center;

  display: block;
  width: fit-content;

  border: 1px solid #fff;
  border-radius: 19px;
  padding: 5px 11px;
  transition:
    color 0.3s ease,
    background-color 0.3s ease;
}

.no {
  border-color: #f00;
}

.popup-btn:hover {
  background-color: #fff;
  color: #8338ec;
}

.no:hover {
  background-color: #f00;
  color: #fff;
}

.popup-wrap {
  display: flex;
  align-items: center;
  gap: 8px;
}

@media screen and (min-width: 1440px) {
  .page-popup {
    padding: 36px;
  }

  .popup-title {
    font-size: 42px;
  }

  .popup-text {
    font-size: 24px;
  }

  .popup-wrap {
    gap: 24px;
  }

  .popup-btn {
    font-size: 24px;
  }
}

/* hero  */

.hero-content {
  background-image: url(../img/home-bg.jpg);
  background-position: center;
  background-size: cover;
  padding-top: 130px;
}

.hero-title {
  font-family: var(--second-family);
  font-style: italic;
  font-weight: 400;
  font-size: 50px;
  line-height: 100%;
  color: #8535ec;
  margin-bottom: 24px;

  span {
    color: #e9deff;
  }
}

.hero-sub-title {
  font-family: var(--font-family);
  font-weight: 700;
  font-size: 20px;
  line-height: 120%;
  color: #e9deff;
  margin-bottom: 24px;
}

.hero-text {
  font-family: var(--font-family);
  font-weight: 400;
  font-size: 20px;
  line-height: 120%;
  color: #e9deff;
  margin-bottom: 60px;
}

.hero-desc {
  font-family: var(--font-family);
  font-style: italic;
  font-weight: 700;
  font-size: 20px;
  line-height: 160%;
  text-transform: uppercase;
  color: #e9deff;
}

@media screen and (min-width: 768px) {
  .hero-content {
    padding-top: 180px;
  }
}

@media screen and (min-width: 1440px) {
  .hero-content {
    padding-top: 200px;
  }

  .hero-title {
    font-size: 100px;
  }

  .hero-sub-title {
    font-size: 24px;
  }

  .hero-text {
    font-size: 24px;
    width: 869px;
    margin-bottom: 60px;
  }

  .hero-desc {
    font-size: 20px;
  }
}

/* swiper  */

.hero-slide {
  border-radius: 20px;
  padding: 36px;
  min-height: 300px;
  background: linear-gradient(95deg, #8338ec 0%, #9c2ef5 100%);

  h2 {
    font-family: var(--font-family);
    font-weight: 400;
    font-size: 32px;
    letter-spacing: -0.01em;
    color: #fff;
    margin-bottom: 60px;
  }

  p {
    font-family: var(--font-family);
    font-weight: 400;
    font-size: 14px;
    line-height: 160%;
    color: #fff;
  }
}

@media screen and (min-width: 1440px) {
  .hero-slide {
    min-height: 280px;
  }
}

/* apartments  */

.apartments-content {
  display: flex;
  flex-direction: column;
  gap: 40px;
  background: #e9deff;
}

.apartment-img {
  border-radius: 20px;
}

@media screen and (min-width: 1440px) {
  .apartments-content {
    flex-direction: row;
    align-items: flex-start;
    gap: 60px;
  }

  .partment-img {
    flex-shrink: 0;
  }
}

/* casino */

.casino-content {
  background: #1e0044;
  display: flex;
  flex-direction: column;
  gap: 40px;

  h2,
  p {
    color: #e9deff;
  }
}

@media screen and (min-width: 1440px) {
  .casino-content {
    flex-direction: row;
    align-items: center;
    gap: 60px;
  }

  .casino-img {
    flex-shrink: 0;
  }
}

/* banner  */

.banner-content {
  width: 100%;
  height: 600px;
  background-image: url(../img/11.jpg);
  background-position: center;
  background-size: cover;
}

/* restaurant */

.restaurant-content {
  display: flex;
  flex-direction: column;
  gap: 40px;
  background: #e9deff;
}

@media screen and (min-width: 1440px) {
  .restaurant-content {
    flex-direction: row;
    align-items: center;
    gap: 60px;
  }

  .rest-img {
    flex-shrink: 0;
  }
}

/* standards */

.standards-content {
  border: 1px solid #f00;
  background: linear-gradient(95deg, #8338ec 0%, #9c2ef5 100%);
}

.standards-title {
  margin-bottom: 42px;
}

.standards-tittextle {
  margin-bottom: 20px;
}

@media screen and (min-width: 1440px) {
  .standards-desc {
    font-size: 28px;
  }
}

/* room  */

.room-content {
  display: flex;
  flex-direction: column;
  gap: 40px;
  background: #1e0044;
}

@media screen and (min-width: 1440px) {
  .room-content {
    flex-direction: row;
    gap: 60px;
    align-items: center;
  }

  .room-img {
    flex-shrink: 0;
  }
}

/* footer */

.footer-content {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 32px;
  background: #3a087a;
}

.footer-list {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 32px;
  margin-bottom: 32px;
}

.footer-text {
  font-family: var(--font-family);
  font-weight: 500;
  font-size: 8px;
  line-height: 100%;
  text-transform: uppercase;
  color: #e9deff;
}

@media screen and (min-width: 1440px) {
  .footer-content {
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    gap: 0;
  }

  .footer-list {
    flex-direction: row;
    margin: 0;
  }
}

/* scroll */

#scrollTopBtn {
  position: fixed;
  bottom: 30px;
  right: 20px;
  border: 1px solid #fff;
  display: flex;
  align-items: center;
  justify-content: center;
  height: 60px;
  width: 60px;
  border-radius: 50%;

  z-index: 7;
  opacity: 0;
  transform: translateY(20px);
  pointer-events: none;
  transition:
    opacity 0.4s ease,
    background-color 0.4s ease transform 0.4s ease;

  svg {
    fill: none;
    stroke: #fff;
  }
}

#scrollTopBtn.show {
  opacity: 0.5;
  transform: translateY(0);
  pointer-events: auto;
}

#scrollTopBtn.show:hover {
  opacity: 1;
  background-color: #fff;

  svg {
    stroke: #000;
  }
}

/* ********************* */

.hidden {
  display: none;
}

.menu-transform {
  transform: translateY(0);
}

.click {
  transform: rotate(135deg);
}

.popup-click {
  transform: translateY(130%) translateX(-50%);
}

.overflow {
  overflow: hidden;
}
